Argus Camera Sample Argus Camera Sample

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Public Attributes
ArgusSamples::TaskMultiExposure::ExpLevel Class Reference

For each exposure level there is one request where the exposure compensation is set to the correct value. More...

List of all members.

## Public Member Functions
| ExpLevel ()
| ~ExpLevel ()
bool | shutdown ()
bool | initialize (float exposureCompensation)

## Public Attributes
TrackedUniqueObj< Argus::Request > | m_request
| Argus request.
Argus::UniqueObj < Argus::OutputStream > | m_outputStream
| Argus output stream.

## Detailed Description

For each exposure level there is one request where the exposure compensation is set to the correct value.

Each request outputs to a stream which is rendered.

Definition at line 81 of file MultiExposure.h.

## Constructor & Destructor Documentation

ArgusSamples::TaskMultiExposure::ExpLevel::ExpLevel | ( |  | ) |

Definition at line 60 of file MultiExposure.cpp.

ArgusSamples::TaskMultiExposure::ExpLevel::~ExpLevel | ( |  | ) |

Definition at line 64 of file MultiExposure.cpp.

## Member Function Documentation

bool ArgusSamples::TaskMultiExposure::ExpLevel::initialize | ( | float | exposureCompensation | ) |

Definition at line 69 of file MultiExposure.cpp.

bool ArgusSamples::TaskMultiExposure::ExpLevel::shutdown | ( |  | ) |

Definition at line 116 of file MultiExposure.cpp.

## Member Data Documentation

Argus::UniqueObj<Argus::OutputStream> ArgusSamples::TaskMultiExposure::ExpLevel::m_outputStream

Argus output stream.

Definition at line 91 of file MultiExposure.h.

TrackedUniqueObj<Argus::Request> ArgusSamples::TaskMultiExposure::ExpLevel::m_request

Argus request.

Definition at line 90 of file MultiExposure.h.

The documentation for this class was generated from the following files:

- modules/tasks/MultiExposure.h
- modules/tasks/MultiExposure.cpp